## q2-quality-filter 2020.11.1

=== Makefile ===
.PHONY: all lint test test-cov install dev clean distclean

PYTHON ?= python

all: ;

lint:
	q2lint
	flake8

test: all
	py.test

test-cov: all
	py.test --cov=q2_quality_filter

install: all
	$(PYTHON) setup.py install

dev: all
	pip install -e .

clean: distclean

distclean: ;

=== debian/changelog ===
q2-quality-filter (2020.11.1-2) unstable; urgency=medium

  * Mark autopkgtest skip-not-installable.  (Closes: #981216)

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 06 Feb 2021 15:23:26 +0100

q2-quality-filter (2020.11.1-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 16 Dec 2020 16:00:38 +0100

q2-quality-filter (2020.11.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version (Closes: #974733)
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Delaying true testing to autopkgtests since QIIME2 module cannot be registered
    at build time.

  [ Étienne Mollier ]
  * Trigger tests via py.test-3 instead of nosetests3.
  * Add myself as Uploaders.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Thu, 03 Dec 2020 19:36:01 +0100

q2-quality-filter (2019.10.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Standards-Version: 4.4.1
  * Needs qiime and q2templates >= 2019.10.0

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sun, 29 Dec 2019 18:59:30 +0300

q2-quality-filter (2019.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #931885)

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Thu, 04 Jul 2019 13:02:39 +0200

=== debian/control ===
Source: q2-quality-filter
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
           Étienne Mollier <etienne.mollier@mailoo.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               python3-nose,
               qiime (>= 2019.10.0),
               q2templates,
               q2-types
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/q2-quality-filter
Vcs-Git: https://salsa.debian.org/med-team/q2-quality-filter.git
Homepage: https://qiime2.org/
Rules-Requires-Root: no

Package: q2-quality-filter
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-pandas,
         qiime,
         q2templates,
         q2-types
Description: QIIME2 plugin for PHRED-based filtering and trimming
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

=== debian/watch ===
version=4

opts="filenamemangle=s/.*\/archive\/(\d[\d.]+@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
  https://github.com/qiime2/q2-quality-filter/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2-quality-filter 2021.8.0

=== debian/changelog ===
q2-quality-filter (2021.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Étienne Mollier ]
  * d/control: update uploader address
  * d/watch: fix broken url to github
  * d/salsa-ci.yml: disable test on i386; python3-skbio missing on i386

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * Versioned (Build-)Depends on qiime and q2 modules (>= 2021.8.0)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 16:56:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: q2-quality-filter
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
-           Étienne Mollier <etienne.mollier@mailoo.org>
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -9,10 +9,10 @@
                python3,
                python3-setuptools,
                python3-nose,
-               qiime (>= 2019.10.0),
-               q2templates,
-               q2-types
-Standards-Version: 4.5.1
+               qiime (>= 2021.8.0),
+               q2templates (>= 2021.8.0),
+               q2-types (>= 2021.8.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/q2-quality-filter
 Vcs-Git: https://salsa.debian.org/med-team/q2-quality-filter.git
 Homepage: https://qiime2.org/
@@ -24,9 +24,9 @@
          ${misc:Depends},
          ${python3:Depends},
          python3-pandas,
-         qiime,
-         q2templates,
-         q2-types
+         qiime (>= 2021.8.0),
+         q2templates (>= 2021.8.0),
+         q2-types (>= 2021.8.0)
 Description: QIIME2 plugin for PHRED-based filtering and trimming
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# For testing, we need .egg-info so the entry points are available.
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
# Delete .egg-info and other files that were generated along with .egg-info
export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-quality-filter.egg-* \
	{build_dir}/site.py {build_dir}/.coverage* {build_dir}/easy-install.pth


%:
	dh $@ --with python3 --buildsystem=pybuild

#FIXME: Delaying true testing to autopkgtests since QIIME2 module cannot be registered
#       at build time.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_quality_filter" || true
endif

## q2-quality-filter 2022.2.0

=== debian/changelog ===
q2-quality-filter (2022.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Bump versioned (Build-)Depends of q2-* packages to 2022.2.0

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jul 2022 16:41:33 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                python3,
                python3-setuptools,
                python3-nose,
-               qiime (>= 2021.8.0),
-               q2templates (>= 2021.8.0),
-               q2-types (>= 2021.8.0)
-Standards-Version: 4.6.0
+               qiime (>= 2022.2.0),
+               q2templates (>= 2022.2.0),
+               q2-types (>= 2022.2.0)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-quality-filter
 Vcs-Git: https://salsa.debian.org/med-team/q2-quality-filter.git
 Homepage: https://qiime2.org/
@@ -24,9 +24,9 @@
          ${misc:Depends},
          ${python3:Depends},
          python3-pandas,
-         qiime (>= 2021.8.0),
-         q2templates (>= 2021.8.0),
-         q2-types (>= 2021.8.0)
+         qiime (>= 2022.2.0),
+         q2templates (>= 2022.2.0),
+         q2-types (>= 2022.2.0)
 Description: QIIME2 plugin for PHRED-based filtering and trimming
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-quality-filter 2022.8.0

=== debian/changelog ===
q2-quality-filter (2022.8.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2022.8.0
  * Updated dependency on qiime/q2-* >= 2022.8.0
  * Replace B-D on nose with pytest (Closes: #1018608)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 06 Sep 2022 18:52:21 +0530

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-python,
                python3,
                python3-setuptools,
-               python3-nose,
-               qiime (>= 2022.2.0),
-               q2templates (>= 2022.2.0),
-               q2-types (>= 2022.2.0)
+               python3-pytest,
+               qiime (>= 2022.8.1),
+               q2templates (>= 2022.8.0),
+               q2-types (>= 2022.8.0)
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-quality-filter
 Vcs-Git: https://salsa.debian.org/med-team/q2-quality-filter.git
@@ -24,9 +24,9 @@
          ${misc:Depends},
          ${python3:Depends},
          python3-pandas,
-         qiime (>= 2022.2.0),
-         q2templates (>= 2022.2.0),
-         q2-types (>= 2022.2.0)
+         qiime (>= 2022.8.1),
+         q2templates (>= 2022.8.0),
+         q2-types (>= 2022.8.0)
 Description: QIIME2 plugin for PHRED-based filtering and trimming
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-quality-filter 2022.11.1

=== debian/changelog ===
q2-quality-filter (2022.11.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:54:11 +0100

q2-quality-filter (2022.11.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Bump versioned Depends
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Jan 2023 11:40:29 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                python3,
                python3-setuptools,
                python3-pytest,
-               qiime (>= 2022.8.1),
-               q2templates (>= 2022.8.0),
-               q2-types (>= 2022.8.0)
-Standards-Version: 4.6.1
+               qiime (>= 2022.11.1),
+               q2templates (>= 2022.11.1),
+               q2-types (>= 2022.11.1)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-quality-filter
 Vcs-Git: https://salsa.debian.org/med-team/q2-quality-filter.git
 Homepage: https://qiime2.org/
@@ -24,9 +24,9 @@
          ${misc:Depends},
          ${python3:Depends},
          python3-pandas,
-         qiime (>= 2022.8.1),
-         q2templates (>= 2022.8.0),
-         q2-types (>= 2022.8.0)
+         qiime (>= 2022.11.1),
+         q2templates (>= 2022.11.1),
+         q2-types (>= 2022.11.1)
 Description: QIIME2 plugin for PHRED-based filtering and trimming
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-quality-filter 2023.7.0

=== debian/changelog ===
q2-quality-filter (2023.7.0-1) unstable; urgency=medium

  * New upstream version 2023.7.0
  * skip-test-needing-internet.patch: new patch.
  * d/copyright: update copyright year and packagers.

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Aug 2023 18:29:56 +0200

## q2-quality-filter 2024.5.0

=== debian/changelog ===
q2-quality-filter (2024.5.0-1ubuntu2) oracular; urgency=medium

  * Rebuild against new qiime with python3.12 tests enabled.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jul 2024 08:38:18 +0200

q2-quality-filter (2024.5.0-1ubuntu1) oracular; urgency=medium

  * Enable again building for Python 3.12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jul 2024 15:01:40 +0200

q2-quality-filter (2024.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * d/patches/configparser.patch: copy from qiime
  * Only build for Python 3.11 until upstream catches up with Python
    3.12.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Jun 2024 12:47:38 +0200

q2-quality-filter (2024.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Autopkgtest for all supported Python3 versions
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 15:18:01 +0100

q2-quality-filter (2023.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 19:39:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2-quality-filter
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
@@ -5,13 +6,13 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3,
+               dh-sequence-python3,
+               python3-all,
                python3-setuptools,
                python3-pytest,
-               qiime (>= 2022.11.1),
-               q2templates (>= 2022.11.1),
-               q2-types (>= 2022.11.1)
+               qiime (>= 2024.5),
+               q2templates (>= 2024.5),
+               q2-types (>= 2024.5)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-quality-filter
 Vcs-Git: https://salsa.debian.org/med-team/q2-quality-filter.git
@@ -24,9 +25,9 @@
          ${misc:Depends},
          ${python3:Depends},
          python3-pandas,
-         qiime (>= 2022.11.1),
-         q2templates (>= 2022.11.1),
-         q2-types (>= 2022.11.1)
+         qiime (>= 2024.5),
+         q2templates (>= 2024.5),
+         q2-types (>= 2024.5)
 Description: QIIME2 plugin for PHRED-based filtering and trimming
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
+
+#export PYBUILD_DISABLE=python3.12
 
 # For testing, we need .egg-info so the entry points are available.
 export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
@@ -9,9 +11,15 @@
 export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-quality-filter.egg-* \
 	{build_dir}/site.py {build_dir}/.coverage* {build_dir}/easy-install.pth
 
+include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
+
+debian/control: debian/control.in
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 #FIXME: Delaying true testing to autopkgtests since QIIME2 module cannot be registered
 #       at build time.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/qiime2/q2-quality-filter/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
